## dnprogs 2.29

=== Makefile ===
# Top level Makefile for DECnet programs

include Makefile.common

#
# PKGNAME determines the .tar.gz file name and also is the directory name
#
PKGNAME=dnprogs
DATE="$(shell date +'%Y%m%d')"

SUBDIRS=include libdnet libdaemon libdap librms fal dndir dnsubmit dndel \
	dncopy apps dntask mail phone dnetd dnroute scripts

all: 	
	@. scripts/check_kernel.sh; if [ $$? = 1 ]; then exit 1; fi
	@set -e; for i in $(SUBDIRS); do make -C $$i $@ ; done

install:
	@set -e; for i in $(SUBDIRS); do make -C $$i $@ ; done

dep depend:	
	@set -e; for i in $(SUBDIRS); do make -C $$i $@ ; done

tags:	
	etags */*.cc */*.c


clean:
	rm -rf debian/tmp
	rm -f debian/files
	rm -f debian/substvars
	rm -f debian/*~
	rm -rf rpmbuild
	rm -rf RPMS
	rm -f .rpm*
	rm -f build
	rm -f core
	@for i in $(SUBDIRS); do make -C $$i $@ ; done

debclean:
	debian/rules clean
#
# Make the distribution tar file
#
dist:	
	for i in $(SUBDIRS); do cd $$i; rm -f .depend; cd ..; done
	if [ -L ../$(PKGNAME)-$(VERSION) ]; then rm ../$(PKGNAME)-$(VERSION); fi
	if [ ! -d ../$(PKGNAME)-$(VERSION) ]; then cd ..; ln -s $(PKGNAME) $(PKGNAME)-$(VERSION); fi
	cd ..; tar -czvhf /var/tmp/$(PKGNAME)-$(VERSION).tar.gz -X$(PKGNAME)-$(VERSION)/excludes-dist $(PKGNAME)-$(VERSION)/;
	if [ -L ../$(PKGNAME)-$(VERSION) ]; then rm ../$(PKGNAME)-$(VERSION); fi

#
# Make a snapshot release
#
snap:	
	for i in $(SUBDIRS); do cd $$i; rm -f .depend; cd ..; done	
	if [ -L ../$(PKGNAME)-$(DATE) ]; then rm ../$(PKGNAME)-$(DATE); fi
	if [ ! -d ../$(PKGNAME)-$(DATE) ]; then cd ..; ln -s $(PKGNAME) $(PKGNAME)-$(DATE); fi
	cd ..; tar -czvhf /var/tmp/$(PKGNAME)-$(DATE).tar.gz -X$(PKGNAME)-$(DATE)/excludes-dist $(PKGNAME)-$(DATE);
	if [ -L ../$(PKGNAME)-$(DATE) ]; then rm ../$(PKGNAME)-$(DATE); fi

#
# Make RPM package for Red Hat systems.
#
rpm:
	rm -rf rpmbuild BUILD RPMS
	make clean
	echo "%_topdir `pwd`" > .rpmmacros
	echo "`rpm --showrc|grep \^macrofiles`:`pwd`/.rpmmacros" >.rpmrc
	make prefix=/usr RELEASE=true -j
	make DESTDIR=`pwd`/rpmbuild install
	ln -sf libdnet.so.2 rpmbuild/usr/lib/libdnet.so.1
	make dist
	install -d rpmbuild/etc/rc.d/init.d
	install -d rpmbuild/usr/doc
	sed -e's@/usr/local@/usr@g' < scripts/decnet.sh >rpmbuild/etc/rc.d/init.d/decnet
	sed -e's/%%PACKAGENAME%%/$(PKGNAME)/g'                          \
	    -e's/%%VERSION%%/$(VERSION)/g'                              \
	    -e's/%%MAJOR_VERSION%%/$(MAJOR_VERSION)/g'                  \
	    -e's@%%PREFIX%%@/usr@g'                                     \
	    -e's@%%LIBPREFIX%%@/usr@g'                                  \
	    -e's@%%CONFPREFIX%%@/@g'                                    \
	   < rpm.spec >$(PKGNAME).spec
	mkdir -p BUILD RPMS/$(ARCH)
	cp README NEWS Documentation/*.README BUILD
	rpmbuild -bb --target $(ARCH) --buildroot `pwd`/rpmbuild -v --rcfile .rpmrc $(PKGNAME).spec
	rm -f $(PKGNAME).spec .rpmrc .rpmmacros

#
# Make Debian package.
#
deb:
	rm -f Documentation/*~ Documentation/*.bak
	rm -f dnlogin/*.o dnlogin/dnlogin
	dpkg-buildpackage -rfakeroot

#
# Dummy rule for sub-directories
#
dummy:


# DO NOT DELETE THIS LINE -- make  depend  depends  on it.

=== apps/Makefile ===
#
# Makefile for Eduardo's & contributed apps
#
include ../Makefile.common
CC        = gcc
INCDIR	  = -I.
LDFLAGS   = 
CFLAGS   += -D_SVID_SOURCE
#------------------------------------------------------------------------------

PROG1OBJS = startnet.o
PROG2OBJS = sethost.o 
PROG4OBJS = dnping.o
PROG5OBJS = ctermd.o
PROG6OBJS = dnmount.o
PROG7OBJS = rmtermd.o

PROG1 = startnet
PROG2 = sethost
PROG4 = dnping
PROG5 = ctermd
PROG6 = dnmount
PROG7 = rmtermd
MANPAGES1 = sethost.1 dnping.1
MANPAGES5 = decnet.conf.5
MANPAGES8 = startnet.8 ctermd.8 rmtermd.8 setether.8

ALLPROGS=$(PROG1) $(PROG2) $(PROG4) $(PROG5) $(PROG7) 
ifeq (/usr/include/linux/dap_fs.h,$(wildcard /usr/include/linux/dap_fs.h))
ALLPROGS += $(PROG6)
MANPAGES8 += dnmount.8
endif

all: $(ALLPROGS)

$(PROG1): $(PROG1OBJS) $(DEPLIBDNET)
	$(CC) -o $@ $(CFLAGS) $(PROG1OBJS) -Wl,-Bstatic $(LIBDNET) -Wl,-Bdynamic

$(PROG2): $(PROG2OBJS) $(DEPLIBDNET)
	$(CC) -o $@ $(CFLAGS) $(PROG2OBJS) $(LIBDNET)

$(PROG3): $(PROG3OBJS)
	$(CC) -o $@ $(CFLAGS) $(PROG3OBJS)

$(PROG4): $(PROG4OBJS) $(DEPLIBDNET)
	$(CC) -o $@ $(CFLAGS) $(PROG4OBJS) $(LIBDNET)

$(PROG5): $(PROG5OBJS) $(DEPLIBDNET) $(DEPLIBDAEMON)
	$(CC) -o $@ $(CFLAGS) $(PROG5OBJS) $(LIBDAEMON) $(LIBDNET) $(PTSLIBS)

$(PROG6): $(PROG6OBJS) $(DEPLIBDNET)
	$(CC) -o $@ $(CFLAGS) $(PROG6OBJS) $(LIBDNET)

$(PROG7): $(PROG7OBJS) $(DEPLIBDNET) $(DEPLIBDAEMON)
	$(CC) -o $@ $(CFLAGS) $(PROG7OBJS) $(LIBDAEMON) $(LIBDNET) $(PTSLIBS)

dep:	
	$(CC) $(CFLAGS) -MM *.c >.depend 2>/dev/null

clean:
	rm -f $(PROG1) $(PROG2) $(PROG4) $(PROG5) $(PROG6) $(PROG7) \
	*.o *.a *.so *~ .depend

install:
	install -d $(prefix)/sbin
	install -d $(prefix)/bin
	install -d $(manprefix)/man/man1
	install -d $(manprefix)/man/man5
	install -d $(manprefix)/man/man8
	install -d $(sysconfprefix)/etc
	install -m 0750 -s $(PROG1) $(prefix)/sbin
	install -m 0755 -s $(PROG2) $(prefix)/bin
	install -m 0755 -s $(PROG4) $(prefix)/bin
	install -m 0755 -s $(PROG5) $(prefix)/sbin
	install -m 0700 setether.sh $(prefix)/sbin/setether
	if [ -f $(PROG6) ]; then install -m 0750 -s $(PROG6) $(prefix)/sbin; fi
	install -m 0755 -s $(PROG7) $(prefix)/sbin
	install -m 0644 $(MANPAGES1) $(manprefix)/man/man1
	install -m 0644 $(MANPAGES5) $(manprefix)/man/man5
	install -m 0644 $(MANPAGES8) $(manprefix)/man/man8
	if [ ! -f $(sysconfprefix)/etc/decnet.conf ]; then \
		install -m 0644 decnet.conf $(sysconfprefix)/etc/decnet.conf.sample; \
	fi

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== dncopy/Makefile ===
# Makefile for dncopy

include ../Makefile.common

PROG1=dncopy
PROG2=dntype

MANPAGES=dncopy.1

PROG1OBJS=dncopy.o file.o dnetfile.o unixfile.o dnetfile_dap.o

all: $(PROG1) $(PROG2)

$(PROG1): $(PROG1OBJS) $(DEPLIBS)
	$(CXX) -o $@ $(PROG1OBJS) $(LIBS)

$(PROG2): $(PROG1)
	ln -sf $< $@

install:
	install -d $(prefix)/bin
	install -d $(manprefix)/man/man1
	install -m 0755 -s $(PROG1) $(prefix)/bin
	ln -sf $(PROG1) $(prefix)/bin/$(PROG2)
	install -m 0644 $(MANPAGES) $(manprefix)/man/man1
	ln -sf $(PROG1).1 $(manprefix)/man/man1/$(PROG2).1


dep depend:	
	$(CXX) $(CXXFLAGS) -MM *.cc >.depend 2>/dev/null

clean:
	rm -f $(PROG2) $(PROG1) *.o *.bak .depend


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== dndel/Makefile ===
# Makefile for dndel

include ../Makefile.common

PROG1=dndel

MANPAGES=dndel.1

PROG1OBJS=dndel.o

all: $(PROG1)

$(PROG1): $(PROG1OBJS) $(DEPLIBS)
	$(CXX) -o $@ $(PROG1OBJS) $(LIBS)

install:
	install -d $(prefix)/bin
	install -d $(manprefix)/man/man1
	install -m 0755 -s $(PROG1) $(prefix)/bin
	install -m 0644 $(MANPAGES) $(manprefix)/man/man1

dep depend:	
	$(CXX) $(CXXFLAGS) -MM *.cc >.depend 2>/dev/null

clean:
	rm -f $(PROG1) *.o *.bak .depend


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== dndir/Makefile ===
# Makefile for dndir

include ../Makefile.common

PROG1=dndir

MANPAGES=dndir.1

PROG1OBJS=dndir.o

all: $(PROG1)

$(PROG1): $(PROG1OBJS) $(DEPLIBS)
	$(CXX) -o $@ $(PROG1OBJS) $(LIBS)

install:
	install -d $(prefix)/bin
	install -d $(manprefix)/man/man1
	install -m 0755 -s $(PROG1) $(prefix)/bin
	install -m 0644 $(MANPAGES) $(manprefix)/man/man1

dep depend:	
	$(CXX) $(CXXFLAGS) -MM *.cc >.depend 2>/dev/null

clean:
	rm -f $(PROG1) *.o *.bak .depend


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== dnetd/Makefile ===
# Makefile for DECnet super server

include ../Makefile.common

PROG1=dnetd

MANPAGES8=dnetd.8
MANPAGES5=dnetd.conf.5

PROG1OBJS=dnetd.o task_server.o

all: $(PROG1)

.c.o:
	$(CC) $(CFLAGS) $(BINARY_PREFIX) -c -o $@ $<

$(PROG1): $(PROG1OBJS) $(DEPLIBDNET) $(DEPLIBDAEMON)
	$(CC) $(CFLAGS) -o $@ $(PROG1OBJS) $(LIBDAEMON) $(LIBDNET) $(PTSLIBS)

install:
	install -d $(prefix)/bin
	install -d $(manprefix)/man/man5
	install -d $(manprefix)/man/man8
	install -m 0750 -s $(PROG1) $(prefix)/sbin
	install -m 0644 $(MANPAGES5) $(manprefix)/man/man5
	install -m 0644 $(MANPAGES8) $(manprefix)/man/man8
	if [ ! -f $(sysconfprefix)/etc/dnetd.conf ]; then install -m 640 dnetd.conf $(sysconfprefix)/etc; fi
	if [ ! -f $(sysconfprefix)/etc/decnet.proxy ]; then install -m 640 ../fal/decnet.proxy $(sysconfprefix)/etc; fi

dep depend:	
	$(CC) $(CFLAGS) -MM *.c >.depend 2>/dev/null

clean:
	rm -f $(PROG1) *.o *.bak .depend


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== dnlogin/Makefile ===
# Makefile for dnlogin

include ../Makefile.common

PROG1=dnlogin

MANPAGES=dnlogin.1

PROG1OBJS=dnlogin.o found.o cterm.o tty.o

all: $(PROG1)

$(PROG1): $(PROG1OBJS) $(DEPLIBDNET)
	$(CC) -o $@ $(PROG1OBJS) $(LIBDNET)

install:
	install -d $(prefix)/bin
	install -d $(manprefix)/man/man1
	install -m 0755 -s $(PROG1) $(prefix)/bin
	install -m 0644 $(MANPAGES) $(manprefix)/man/man1

dep depend:
	$(CC) $(CFLAGS) -MM *.c >.depend 2>/dev/null

clean:
	rm -f $(PROG1) *.o *.bak .depend


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== dnroute/Makefile ===
include ../Makefile.common

DNROUTE=dnroute

CFLAGS	+= -Inetlink/include

all: $(DNROUTE)

$(DNROUTE): get_neigh.c send_route.c routing_msg.c csum.c netlink/libnetlink.a
	$(CC) $(CFLAGS) -o $@ $^ -L../libdnet -Lnetlink -ldnet -lnetlink

netlink/libnetlink.a:
	$(MAKE) -C netlink

install:
	install -d $(prefix)/sbin
	install -d $(manprefix)/man/man8
	install -m 0755 -s dnroute $(prefix)/sbin
	install -m 0644 dnroute.8 $(manprefix)/man/man8

clean:
	rm -f $(DNROUTE) *~ *.o netlink/*.o netlink/*.a

=== dnsubmit/Makefile ===
# Makefile for dnsubmit

include ../Makefile.common

PROG1=dnsubmit
PROG2=dnprint

MANPAGES=dnsubmit.1

PROG1OBJS=dnsubmit.o

all: $(PROG1) $(PROG2)

$(PROG1): $(PROG1OBJS) $(DEPLIBS)
	$(CXX) -o $@ $(PROG1OBJS) $(LIBS)

$(PROG2): $(PROG1)
	ln -sf $< $@

install:
	install -d $(prefix)/bin
	install -d $(manprefix)/man/man1
	install -m 0755 -s $(PROG1) $(prefix)/bin
	ln -sf $(PROG1) $(prefix)/bin/$(PROG2)
	install -m 0644 $(MANPAGES) $(manprefix)/man/man1
	ln -sf $(PROG1).1 $(manprefix)/man/man1/$(PROG2).1


dep depend:	
	$(CXX) $(CXXFLAGS) -MM *.cc >.depend 2>/dev/null

clean:
	rm -f $(PROG2) $(PROG1) *.o *.bak .depend


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== dntask/Makefile ===
# Makefile for dntask

include ../Makefile.common

PROG1=dntask

MANPAGES=dntask.1

PROG1OBJS=dntask.o

all: $(PROG1)

$(PROG1): $(PROG1OBJS) $(DEPLIBDNET)
	$(CC) -o $@ $(PROG1OBJS) $(LIBDNET)

install:
	install -d $(prefix)/bin
	install -d $(manprefix)/man/man1
	install -m 0755 -s $(PROG1) $(prefix)/bin
	install -m 0644 $(MANPAGES) $(manprefix)/man/man1

dep depend:	
	$(CC) $(CFLAGS) -MM *.c >.depend 2>/dev/null

clean:
	rm -f $(PROG1) *.o *.bak .depend


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== fal/Makefile ===
# Makefile for FAL

include ../Makefile.common

PROG1=fal

MANPAGES=fal.8 decnet.proxy.5

PROG1OBJS=fal.o server.o task.o directory.o open.o create.o erase.o rename.o \
          submit.o

all: $(PROG1)

$(PROG1): $(PROG1OBJS) $(DEPLIBS) $(DEPLIBDAEMON)
	$(CXX) -o $@ $(CXXFLAGS) $(PROG1OBJS) $(LIBS) $(LIBDAEMON) $(LIBDNET)

install:
	install -d $(prefix)/sbin
	install -d $(manprefix)/man/man8
	install -d $(manprefix)/man/man5
	install -m 0755 -s $(PROG1) $(prefix)/sbin
	install -m 0644 fal.8 $(manprefix)/man/man8
	install -m 0644 decnet.proxy.5 $(manprefix)/man/man5

dep depend:	
	$(CXX) $(CXXFLAGS) -MM *.cc >.depend 2>/dev/null

clean:
	rm -f $(PROG1) *.o *.bak .depend


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== include/Makefile ===
# Makefile for includes

include ../Makefile.common

all: 
# Releases are always made for 2.4 kernels
ifdef RELEASE	
	@cp kernel/netdnet/dn.h netdnet || true
endif


install:
	if [ -L $(libprefix)/include/netdnet ]; then \
		rm -f $(libprefix)/include/netdnet; \
	fi
	install -d $(libprefix)/include/netdnet
	install -m 0644 netdnet/dn.h $(libprefix)/include/netdnet
	install -m 0644 netdnet/dnetdb.h $(libprefix)/include/netdnet

dep depend:	

clean:
	rm -f dnetdb/dn.h

# DO NOT DELETE

=== debian/changelog ===
dnprogs (2.29) unstable; urgency=low

  * Add -p switch to dncopy, sets the protection of a file
    uploaded to VMS.

 -- Patrick Caulfield <patrick@debian.org>  Fri, 28 Jan 2005 15:32:03 +0000

=== debian/control ===
Source: dnprogs
Section: net
Priority: extra
Maintainer: Patrick Caulfield <patrick@debian.org>
Build-Depends: debhelper(>= 4.1.16), libncurses5-dev
Standards-Version: 3.5.6

Package: dnet-common
Architecture: all
Depends: debconf(>=0.5.00), debianutils(>=1.13), modutils
Priority: extra
Section: net
Conflicts: dnprogs
Suggests: iproute, kernel-image-2.4
Description: Base package for Linux DECnet
 This is the base package for Linux DECnet. It contains the necessary
 configuration files and a script to set up the MAC address of your
 ethernet card(s) at boot-up.
 .
 You will also need to be running a 2.4+ kernel and have DECnet either
 built as a module or compiled into the kernel.
 .
 To do useful work with DECnet you will need the libdnet package and
 probably also dnet-progs.

Package: dnet-progs
Architecture: any
Depends: ${shlibs:Depends}, libdnet(>=${Source-Version})
Priority: extra
Section: net
Description: DECnet user programs and daemons
 These tools are the application layer interface for DECnet on Linux systems.
 They provide file/terminal access facilities between OpenVMS and Linux and
 remote execution of commands.
 Also included is a Linux version of the VMS "Phone" utility and a VMSMail
 to SMTP gateway.

Package: libdnet
Architecture: any
Depends: ${shlibs:Depends}, dnet-common(>=${Source-Version})
Priority: extra
Section: libs
Description: DECnet Libraries
 This package contains the libraries necessary for a functioning DECnet
 system. Most DECnet programs require these libraries to be present on
 the system. The libraries are:
 libdnet        - the basic DECnet API as featured on Ultrix(R) systems
 libdnet_daemon - useful calls for writing DECnet daemons
 libdap         - DAP (Data Access Protocol) C++ classes
 librms         - High level library for programmatic access VMS files
                  from Linux.
 .
 If you're looking for libdnet, the "dumb" networking library from
 libdnet.sf.net by Dug Song then you should install libdumbnet instead.
 Sorry for any confusion caused!

Package: libdnet-dev
Architecture: any
Depends: libdnet(>=${Source-Version})
Priority: extra
Section: libdevel
Description: DECnet development libraries & Headers
 Theses are the development libraries for Linux DECnet. This package contains
 the static libraries, header files and man pages for DECnet development
 on Linux.

=== debian/rules ===
#!/usr/bin/make -f

export DH_COMPAT=2

build:
	$(checkdir)

	make prefix=/usr RELEASE=true
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp `find debian/* -type d ! -name CVS ! -name po` debian/files* core
	-rm -f debian/*substvars
	dh_clean -k

binary-indep: checkroot build
	$(checkdir)
	mkdir -p debian/tmp/etc/modutils
	mkdir -p debian/tmp/etc/default
	mkdir -p debian/tmp/usr/share/doc/dnet-common
	mkdir -p debian/tmp/sbin
	echo "alias net-pf-12 decnet" > debian/tmp/etc/modutils/decnet
	echo '# DNET_INTERFACES specifies the names of ethernet interfaces whose' >> debian/tmp/etc/default/decnet
	echo '# MAC address is to be set to the DECnet node address' >> debian/tmp/etc/default/decnet
	echo "DNET_INTERFACES=\"all\"" >> debian/tmp/etc/default/decnet
	echo '# DNET_DAEMONS lists the daemons to start when dnet-progs is installed.' >> debian/tmp/etc/default/decnet
	echo "DNET_DAEMONS=\"dnetd phoned #dnroute\"" >> debian/tmp/etc/default/decnet
	echo "#" >> debian/tmp/etc/default/decnet
	echo "# The following two lines enable routing, note that if you are" >> debian/tmp/etc/default/decnet
	echo "# being a router, then add dnroute to the DNET_DAEMONS too" >> debian/tmp/etc/default/decnet
	echo "#ROUTING=1" >> debian/tmp/etc/default/decnet
	echo "PRIORITY=32" >> debian/tmp/etc/default/decnet
	cp README debian/tmp/usr/share/doc/dnet-common
	cp Documentation/*README debian/tmp/usr/share/doc/dnet-common
	cp debian/dnet-common.README debian/tmp/usr/share/doc/dnet-common/README.Debian
	cp apps/decnet.conf debian/tmp/usr/share/doc/dnet-common/decnet.conf.sample
	make install DESTDIR=`pwd`/debian/tmp MAKEDEB=true RELEASE=true
	mv debian/tmp/usr/man debian/tmp/usr/share
	rm debian/tmp/usr/sbin/startnet
	install -m755 apps/setether.sh debian/tmp/sbin/setether
	dh_installdirs -pdnet-common
	dh_installchangelogs  -pdnet-common
	dh_installdocs  -pdnet-common
	dh_link  -pdnet-common
	dh_installdebconf  -pdnet-common
	dh_installinit  -pdnet-common  --init-script=decnet --update-rcd-params="start\ 39\ S\ .\ \ stop\ 11\ 1\ ."
	dh_strip  -pdnet-common
	dh_movefiles  -pdnet-common
	dh_compress  -pdnet-common
	dh_fixperms  -pdnet-common
	dh_shlibdeps  -pdnet-common
	dh_gencontrol  -pdnet-common
	dh_makeshlibs  -pdnet-common
	dh_installdeb  -pdnet-common
	dh_md5sums  -pdnet-common
	dh_builddeb  -pdnet-common

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp `find debian/* -type d ! -name CVS ! -name po`
	install -d debian/tmp
	mkdir -p debian/tmp/etc/modutils
	mkdir -p debian/tmp/etc/default
	mkdir -p debian/tmp/usr/share/doc/libdnet
	mkdir -p debian/tmp/usr/share/doc/libdnet-dev
	mkdir -p debian/tmp/usr/share/doc/dnet-progs
	mkdir -p debian/tmp/sbin
	cp README debian/tmp/usr/share/doc/libdnet
	cp README debian/tmp/usr/share/doc/dnet-progs
	cp README debian/tmp/usr/share/doc/libdnet-dev
	cp Documentation/*README debian/tmp/usr/share/doc/libdnet
	cp Documentation/*README debian/tmp/usr/share/doc/dnet-progs
	cp Documentation/*README debian/tmp/usr/share/doc/libdnet-dev
	make install DESTDIR=`pwd`/debian/tmp MAKEDEB=true RELEASE=true
	mv debian/tmp/usr/man debian/tmp/usr/share
	mv debian/tmp/usr/sbin/startnet debian/tmp/sbin
	dh_installdirs -Ndnet-common
	dh_installchangelogs -Ndnet-common
	dh_installdocs -Ndnet-common
	dh_link -Ndnet-common
	dh_installdebconf -Ndnet-common
	dh_installinit  -pdnet-progs  --init-script=dnet-progs
	dh_strip -Ndnet-common
	dh_movefiles -Ndnet-common
	dh_compress -Ndnet-common
	dh_fixperms -Ndnet-common
	dh_shlibdeps -Ndnet-common
	dh_gencontrol -Ndnet-common
	dh_makeshlibs -Ndnet-common
	dh_installdeb -Ndnet-common
	dh_md5sums -Ndnet-common
	dh_builddeb -Ndnet-common


define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## dnprogs 2.29.2ubuntu1

=== debian/changelog ===
dnprogs (2.29.2ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Stephan Hermann <sh@sourcecode.de>  Fri, 22 Jul 2005 01:20:39 +0200

dnprogs (2.29-0ubuntu1) breezy; urgency=low

  * Renaming libdnet libdnetc2
  * Replaced -Ndnet-commons with -a

 -- Stephan Hermann <sh@sourcecode.de>  Tue, 24 May 2005 12:45:44 +0200

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 Package: dnet-progs
 Architecture: any
-Depends: ${shlibs:Depends}, libdnet(>=${Source-Version})
+Depends: ${shlibs:Depends}, libdnetc2 (>=${Source-Version})
 Priority: extra
 Section: net
 Description: DECnet user programs and daemons
@@ -35,11 +35,13 @@
  Also included is a Linux version of the VMS "Phone" utility and a VMSMail
  to SMTP gateway.
 
-Package: libdnet
+Package: libdnetc2
 Architecture: any
 Depends: ${shlibs:Depends}, dnet-common(>=${Source-Version})
 Priority: extra
 Section: libs
+Conflicts: libdnet
+Replaces: libdnet
 Description: DECnet Libraries
  This package contains the libraries necessary for a functioning DECnet
  system. Most DECnet programs require these libraries to be present on
@@ -56,7 +58,7 @@
 
 Package: libdnet-dev
 Architecture: any
-Depends: libdnet(>=${Source-Version})
+Depends: libdnetc2 (>=${Source-Version})
 Priority: extra
 Section: libdevel
 Description: DECnet development libraries & Headers

=== debian/rules ===
--- 
+++ 
@@ -52,7 +52,7 @@
 	dh_movefiles  -pdnet-common
 	dh_compress  -pdnet-common
 	dh_fixperms  -pdnet-common
-	dh_shlibdeps  -pdnet-common
+	dh_shlibdeps  -pdnet-common -ldebian/libdnetc2/usr/lib
 	dh_gencontrol  -pdnet-common
 	dh_makeshlibs  -pdnet-common
 	dh_installdeb  -pdnet-common
@@ -65,35 +65,35 @@
 	install -d debian/tmp
 	mkdir -p debian/tmp/etc/modutils
 	mkdir -p debian/tmp/etc/default
-	mkdir -p debian/tmp/usr/share/doc/libdnet
+	mkdir -p debian/tmp/usr/share/doc/libdnetc2
 	mkdir -p debian/tmp/usr/share/doc/libdnet-dev
 	mkdir -p debian/tmp/usr/share/doc/dnet-progs
 	mkdir -p debian/tmp/sbin
-	cp README debian/tmp/usr/share/doc/libdnet
+	cp README debian/tmp/usr/share/doc/libdnetc2
 	cp README debian/tmp/usr/share/doc/dnet-progs
 	cp README debian/tmp/usr/share/doc/libdnet-dev
-	cp Documentation/*README debian/tmp/usr/share/doc/libdnet
+	cp Documentation/*README debian/tmp/usr/share/doc/libdnetc2
 	cp Documentation/*README debian/tmp/usr/share/doc/dnet-progs
 	cp Documentation/*README debian/tmp/usr/share/doc/libdnet-dev
 	make install DESTDIR=`pwd`/debian/tmp MAKEDEB=true RELEASE=true
 	mv debian/tmp/usr/man debian/tmp/usr/share
 	mv debian/tmp/usr/sbin/startnet debian/tmp/sbin
-	dh_installdirs -Ndnet-common
-	dh_installchangelogs -Ndnet-common
-	dh_installdocs -Ndnet-common
-	dh_link -Ndnet-common
-	dh_installdebconf -Ndnet-common
+	dh_installdirs -a
+	dh_installchangelogs -a
+	dh_installdocs -a
+	dh_link -a
+	dh_installdebconf -a
 	dh_installinit  -pdnet-progs  --init-script=dnet-progs
-	dh_strip -Ndnet-common
-	dh_movefiles -Ndnet-common
-	dh_compress -Ndnet-common
-	dh_fixperms -Ndnet-common
-	dh_shlibdeps -Ndnet-common
-	dh_gencontrol -Ndnet-common
-	dh_makeshlibs -Ndnet-common
-	dh_installdeb -Ndnet-common
-	dh_md5sums -Ndnet-common
-	dh_builddeb -Ndnet-common
+	dh_strip -a
+	dh_movefiles -a
+	dh_compress -a
+	dh_fixperms -a
+	dh_shlibdeps -a -l debian/libdnetc2/usr/lib/ -Llibdnetc2
+	dh_gencontrol -a
+	dh_makeshlibs -a
+	dh_installdeb -a
+	dh_md5sums -a
+	dh_builddeb -a
 
 
 define checkdir

## dnprogs 2.32

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 DATE="$(shell date +'%Y%m%d')"
 
 SUBDIRS=include libdnet libdaemon libdap librms fal dndir dnsubmit dndel \
-	dncopy apps dntask mail phone dnetd dnroute scripts
+	dncopy apps dntask dnlogin mail phone dnetd libvaxdata dnroute scripts
 
 all: 	
 	@. scripts/check_kernel.sh; if [ $$? = 1 ]; then exit 1; fi
@@ -68,7 +68,7 @@
 	echo "%_topdir `pwd`" > .rpmmacros
 	echo "`rpm --showrc|grep \^macrofiles`:`pwd`/.rpmmacros" >.rpmrc
 	make prefix=/usr RELEASE=true -j
-	make DESTDIR=`pwd`/rpmbuild install
+	make DESTDIR=`pwd`/rpmbuild RELEASE=true install
 	ln -sf libdnet.so.2 rpmbuild/usr/lib/libdnet.so.1
 	make dist
 	install -d rpmbuild/etc/rc.d/init.d
@@ -83,6 +83,7 @@
 	   < rpm.spec >$(PKGNAME).spec
 	mkdir -p BUILD RPMS/$(ARCH)
 	cp README NEWS Documentation/*.README BUILD
+	cp libvaxdata/libvaxdata.pdf BUILD
 	rpmbuild -bb --target $(ARCH) --buildroot `pwd`/rpmbuild -v --rcfile .rpmrc $(PKGNAME).spec
 	rm -f $(PKGNAME).spec .rpmrc .rpmmacros

=== dnlogin/Makefile ===
--- 
+++ 
@@ -8,9 +8,14 @@
 
 PROG1OBJS=dnlogin.o found.o cterm.o tty.o
 
+CFLAGS+=-funsigned-char
+
+CFLAGS+=-g
+#CFLAGS+=-O2
+
 all: $(PROG1)
 
-$(PROG1): $(PROG1OBJS) $(DEPLIBDNET)
+$(PROG1): $(PROG1OBJS) tty.h dnlogin.h $(DEPLIBDNET)
 	$(CC) -o $@ $(PROG1OBJS) $(LIBDNET)
 
 install:

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: dnet-common
 Architecture: all
-Depends: debconf(>=0.5.00), debianutils(>=1.13), modutils
+Depends: debconf(>=0.5.00) | debconf-2.0, debianutils(>=1.13), modutils
 Priority: extra
 Section: net
 Conflicts: dnprogs
@@ -25,7 +25,7 @@
 
 Package: dnet-progs
 Architecture: any
-Depends: ${shlibs:Depends}, libdnetc2 (>=${Source-Version})
+Depends: ${shlibs:Depends}, libdnet(>=${Source-Version})
 Priority: extra
 Section: net
 Description: DECnet user programs and daemons
@@ -35,13 +35,11 @@
  Also included is a Linux version of the VMS "Phone" utility and a VMSMail
  to SMTP gateway.
 
-Package: libdnetc2
+Package: libdnet
 Architecture: any
 Depends: ${shlibs:Depends}, dnet-common(>=${Source-Version})
 Priority: extra
 Section: libs
-Conflicts: libdnet
-Replaces: libdnet
 Description: DECnet Libraries
  This package contains the libraries necessary for a functioning DECnet
  system. Most DECnet programs require these libraries to be present on
@@ -58,7 +56,7 @@
 
 Package: libdnet-dev
 Architecture: any
-Depends: libdnetc2 (>=${Source-Version})
+Depends: libdnet(>=${Source-Version})
 Priority: extra
 Section: libdevel
 Description: DECnet development libraries & Headers

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-export DH_COMPAT=2
 
 build:
 	$(checkdir)
@@ -52,7 +50,7 @@
 	dh_movefiles  -pdnet-common
 	dh_compress  -pdnet-common
 	dh_fixperms  -pdnet-common
-	dh_shlibdeps  -pdnet-common -ldebian/libdnetc2/usr/lib
+	dh_shlibdeps  -pdnet-common
 	dh_gencontrol  -pdnet-common
 	dh_makeshlibs  -pdnet-common
 	dh_installdeb  -pdnet-common
@@ -65,35 +63,36 @@
 	install -d debian/tmp
 	mkdir -p debian/tmp/etc/modutils
 	mkdir -p debian/tmp/etc/default
-	mkdir -p debian/tmp/usr/share/doc/libdnetc2
+	mkdir -p debian/tmp/usr/share/doc/libdnet
 	mkdir -p debian/tmp/usr/share/doc/libdnet-dev
 	mkdir -p debian/tmp/usr/share/doc/dnet-progs
 	mkdir -p debian/tmp/sbin
-	cp README debian/tmp/usr/share/doc/libdnetc2
+	cp README debian/tmp/usr/share/doc/libdnet
 	cp README debian/tmp/usr/share/doc/dnet-progs
 	cp README debian/tmp/usr/share/doc/libdnet-dev
-	cp Documentation/*README debian/tmp/usr/share/doc/libdnetc2
+	cp Documentation/*README debian/tmp/usr/share/doc/libdnet
 	cp Documentation/*README debian/tmp/usr/share/doc/dnet-progs
 	cp Documentation/*README debian/tmp/usr/share/doc/libdnet-dev
+	cp libvaxdata/*pdf debian/tmp/usr/share/doc/libdnet-dev
 	make install DESTDIR=`pwd`/debian/tmp MAKEDEB=true RELEASE=true
 	mv debian/tmp/usr/man debian/tmp/usr/share
 	mv debian/tmp/usr/sbin/startnet debian/tmp/sbin
-	dh_installdirs -a
-	dh_installchangelogs -a
-	dh_installdocs -a
-	dh_link -a
-	dh_installdebconf -a
+	dh_installdirs -Ndnet-common
+	dh_installchangelogs -Ndnet-common
+	dh_installdocs -Ndnet-common
+	dh_link -Ndnet-common
+	dh_installdebconf -Ndnet-common
 	dh_installinit  -pdnet-progs  --init-script=dnet-progs
-	dh_strip -a
-	dh_movefiles -a
-	dh_compress -a
-	dh_fixperms -a
-	dh_shlibdeps -a -l debian/libdnetc2/usr/lib/ -Llibdnetc2
-	dh_gencontrol -a
-	dh_makeshlibs -a
-	dh_installdeb -a
-	dh_md5sums -a
-	dh_builddeb -a
+	dh_strip -Ndnet-common
+	dh_movefiles -Ndnet-common
+	dh_compress -Ndnet-common
+	dh_fixperms -Ndnet-common
+	dh_shlibdeps -Ndnet-common
+	dh_gencontrol -Ndnet-common
+	dh_makeshlibs -Ndnet-common
+	dh_installdeb -Ndnet-common
+	dh_md5sums -Ndnet-common
+	dh_builddeb -Ndnet-common
 
 
 define checkdir

## dnprogs 2.37.1

=== debian/changelog ===
dnprogs (2.37.1) unstable; urgency=low

  * Add Spanish debconf translation.
    Closes: #367286

 -- Patrick Caulfield <patrick@debian.org>  Wed, 17 May 2006 10:09:35 +0100

dnprogs (2.37) unstable; urgency=low

  * dnlogin: more LF bug fixes (you wouldn't beleive how complicated this is!)
  * dnroute is now a bit better at being a level 1 router
  * Fix cost & hops sent by dnroute.

 -- Patrick Caulfield <patrick@debian.org>  Thu, 27 Apr 2006 10:51:04 +0100

dnprogs (2.36) unstable; urgency=low

  * Misc fixes to routing daemon. Especially more compliant routing messages
  * Better hello messages from multinet tunnel
  * Depend on module-init-tools | modutils

 -- Patrick Caulfield <patrick@debian.org>  Mon, 10 Apr 2006 11:59:27 +0100

dnprogs (2.35) unstable; urgency=low

  * Make dnroute work on big-endian machines
  * dnroute can now send router messages on devices with small MTUs
  * dnroute now sends level2 router messages and creates area
    routing tables from those it receives
  * Add script 'dnetinfo' to query the routing daemon state - the
    output emulates SHOW NET/OLD
  * libdnet: Fix getnodebyaddr so it works with high node numbers.
  * Make ncurses phone work on big-endian machines
  * Better newline handling in dnlogin. This should fix those niggling
    "that doesn't look quite right" things. It also works with GNV's bash too!
  * Add multinet IP tunnelling daemon
  * Some minor fixes to init scripts 

 -- Patrick Caulfield <patrick@debian.org>  Wed,  5 Apr 2006 09:39:04 +0100

dnprogs (2.34) unstable; urgency=low

  * Don't SIGBUS on sparc sending DAP packets > 255 bytes long
  * Add -P & -D (print & delete) flags to dncopy
  * Add zip files to fal -ae list of known filetypes
  * dnlogin no loger loses spaces on ALLCAPS input
  * dnlogin differentiates better betwwen ^C & ^Y when it needs to

 -- Patrick Caulfield <patrick@debian.org>  Thu, 16 Mar 2006 14:40:45 +0000

dnprogs (2.33) unstable; urgency=low
  
  * Fix dncopy fetching from RSX (don't set RRL unless the user asks for it)
  * Get rid of spurious protection error from dncopy
  * dnlogin sets local username so (eg) VMSs SHOW TERM displays it
  * Numerous fixes dnlogin so it now works to RSX
  * Several fixes to fal so it works with RSX
  * dnlogin now disconnects correctly when it gets a unbind
  * ctermd: Fix "-bash: no job control in this shell" message on some platforms
  * dndir displays more consistently (and once!) when a remote file is locked
  * phone_ncurses now resizes the display if its xterm is resized

 -- Patrick Caulfield <patrick@debian.org>  Thu, 26 Jan 2006 16:19:42 +0000
  

dnprogs (2.32) unstable; urgency=low

  * fal removes [] from names as they could cause confusion.
  * Fixed crash in libdap if a connection gets closed more than once.
  * Fix libdnet's dnet_recv to cope with 0 being returned from recvmsg.
  * Some minor manpage & packaging bugs fixed.
  * Include dnlogin, a replacement for sethost.
  * Include libvaxdata - a library of routines for converting between VAX.
    data formats and Unix ones. Contributed by Larry Baker of the 
    US Geological Survey.

 -- Patrick Caulfield <patrick@debian.org>  Sun, 30 Oct 2005 15:09:21 +0000

dnprogs (2.31) unstable; urgency=low

  * Add more RMS features to libdap.
  * fix get_date as time_t in libdap.
  * librms rms_open() now returns file info in the FAB.
  * librms rms_read() returns EOF correctly
  * librms rms_write() now works 
  * build mail with -fdollars-in-identifiers
    Closes: #334138
  * Remove /etc/decnet.conf.old at Debian purge time.
    Closes: #330362

 -- Patrick Caulfield <patrick@debian.org>  Mon, 17 Oct 2005 08:53:58 +0100

dnprogs (2.30.1) unstable; urgency=low

  * Add alternative dependancy on debconf-2.0

 -- Patrick Caulfield <patrick@debian.org>  Tue, 27 Sep 2005 08:20:46 +0100

dnprogs (2.30) unstable; urgency=low

  * Add -l option to dncopy. (ignore interlocks)
  * Add more RMS features to librms & libdap

 -- Patrick Caulfield <patrick@debian.org>  Fri,  2 Sep 2005 09:24:41 +0100

dnprogs (2.29.2) unstable; urgency=low

  * Add Czech debconf translation.
    Closes: #315989
  
 -- Patrick Caulfield <patrick@debian.org>  Thu, 30 Jun 2005 14:30:27 +0100

dnprogs (2.29.1) unstable; urgency=low

  * Add Japanese debconf translation from Kenshi Muto.
  Closes: #307049

 -- Patrick Caulfield <patrick@debian.org>  Mon,  2 May 2005 11:07:22 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: dnet-common
 Architecture: all
-Depends: debconf(>=0.5.00) | debconf-2.0, debianutils(>=1.13), modutils
+Depends: debconf(>=0.5.00) | debconf-2.0, debianutils(>=1.13), module-init-tools | modutils
 Priority: extra
 Section: net
 Conflicts: dnprogs

## dnprogs 2.37.2-0.1

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,8 @@
 DATE="$(shell date +'%Y%m%d')"
 
 SUBDIRS=include libdnet libdaemon libdap librms fal dndir dnsubmit dndel \
-	dncopy apps dntask dnlogin mail phone dnetd libvaxdata dnroute scripts
+	dncopy apps dntask dnlogin mail phone dnetd libvaxdata dnroute \
+	multinet scripts
 
 all: 	
 	@. scripts/check_kernel.sh; if [ $$? = 1 ]; then exit 1; fi

=== apps/Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 PROG7 = rmtermd
 MANPAGES1 = sethost.1 dnping.1
 MANPAGES5 = decnet.conf.5
-MANPAGES8 = startnet.8 ctermd.8 rmtermd.8 setether.8
+MANPAGES8 = ctermd.8 rmtermd.8 setether.8
 
 ALLPROGS=$(PROG1) $(PROG2) $(PROG4) $(PROG5) $(PROG7) 
 ifeq (/usr/include/linux/dap_fs.h,$(wildcard /usr/include/linux/dap_fs.h))
@@ -68,7 +68,6 @@
 	install -d $(manprefix)/man/man5
 	install -d $(manprefix)/man/man8
 	install -d $(sysconfprefix)/etc
-	install -m 0750 -s $(PROG1) $(prefix)/sbin
 	install -m 0755 -s $(PROG2) $(prefix)/bin
 	install -m 0755 -s $(PROG4) $(prefix)/bin
 	install -m 0755 -s $(PROG5) $(prefix)/sbin

=== dapfs/Makefile ===
# Makefile for dapfs

include ../Makefile.common

PROG1=dapfs

MANPAGES=dapfs.1

PROG1OBJS=dapfs.o dapfs_dap.o filenames.o

all: $(PROG1)

CFLAGS=-g

$(PROG1): $(PROG1OBJS) $(DEPLIBS)
	g++ -o$(PROG1) $(PROG1OBJS) -lrms -lfuse

install:
	install -d $(prefix)/bin
	install -d $(manprefix)/man/man1
	install -m 0755 -s $(PROG1) $(prefix)/bin
	install -m 0644 $(MANPAGES) $(manprefix)/man/man1

dep depend:	
	$(CXX) $(CXXFLAGS) -MM *.cc >.depend 2>/dev/null

clean:
	rm -f $(PROG1) *.o *.bak .depend


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== dncopy/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 all: $(PROG1) $(PROG2)
 
 $(PROG1): $(PROG1OBJS) $(DEPLIBS)
-	$(CXX) -o $@ $(PROG1OBJS) $(LIBS)
+	$(CXX) $(LDFLAGS) -o $@ $(PROG1OBJS) $(LIBS)
 
 $(PROG2): $(PROG1)
 	ln -sf $< $@

=== dnlogin/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 PROG1OBJS=dnlogin.o found.o cterm.o tty.o
 
-CFLAGS+=-funsigned-char
+CFLAGS+=-funsigned-char -Wall
 
 CFLAGS+=-g
 #CFLAGS+=-O2
@@ -16,7 +16,7 @@
 all: $(PROG1)
 
 $(PROG1): $(PROG1OBJS) tty.h dnlogin.h $(DEPLIBDNET)
-	$(CC) -o $@ $(PROG1OBJS) $(LIBDNET)
+	$(CC) $(LDFLAGS) -o $@ $(PROG1OBJS) $(LIBDNET)
 
 install:
 	install -d $(prefix)/bin

=== dnroute/Makefile ===
include ../Makefile.common

DNROUTE=dnroute

CFLAGS	+= -Inetlink/include

all: $(DNROUTE)

$(DNROUTE): get_neigh.c send_route.c routing_msg.c csum.c hash.c netlink/libnetlink.a
	$(CC) $(CFLAGS) -o $@ $^ -L../libdnet -Lnetlink -ldnet -lnetlink

netlink/libnetlink.a:
	$(MAKE) -C netlink

install:
	install -d $(prefix)/sbin
	install -d $(manprefix)/man/man8
	install -m 0755 -s dnroute $(prefix)/sbin
	install -m 0755 dnetinfo.sh $(prefix)/sbin/dnetinfo
	install -m 0644 dnroute.8 $(manprefix)/man/man8
	install -m 0644 dnetinfo.8 $(manprefix)/man/man8

clean:
	rm -f $(DNROUTE) *~ *.o netlink/*.o netlink/*.a

=== libdaemon/Makefile ===
include ../Makefile.common

LIBOBJS=dnet_daemon.o dnetlog.o
PICOBJS=dnet_daemon.po dnetlog.po
MANPAGES3=dnet_daemon.3

LIBNAME=libdnet_daemon

SHAREDLIB=$(LIBNAME).so.$(VERSION)
STATICLIB=$(LIBNAME).a


all: $(STATICLIB) $(SHAREDLIB)

$(STATICLIB): $(LIBOBJS)
	ar -rv $@ $^

$(SHAREDLIB): $(PICOBJS)
	$(CC) $(CFLAGS) -shared -o $@ -Wl,-soname=$(LIBNAME).so.$(MAJOR_VERSION) $(LIBCRYPT) $^
	ln -sf $(SHAREDLIB) $(LIBNAME).so.$(MAJOR_VERSION)
	ln -sf $(LIBNAME).so.$(MAJOR_VERSION) $(LIBNAME).so

.c.o:
	$(CC) $(CFLAGS) $(SYSCONF_PREFIX) -c -o $@ $<

.c.po:
	$(CC) $(CFLAGS) $(SYSCONF_PREFIX) -fPIC -c -o $@ $<

dep depend:	
	$(CC) $(CFLAGS) -MM *.c >.depend 2>/dev/null

clean:
	rm -f *.o *.po *.bak $(STATICLIB) $(SHAREDLIB) $(LIBNAME).so* .depend

install:
	install -m 0644 -s $(SHAREDLIB) $(libprefix)/lib
	install -m 0644 $(STATICLIB) $(libprefix)/lib
	ln -sf $(SHAREDLIB) $(libprefix)/lib/$(LIBNAME).so.$(MAJOR_VERSION)
	ln -sf $(LIBNAME).so.$(MAJOR_VERSION) $(libprefix)/lib/$(LIBNAME).so
	install -d $(manprefix)/man/man3
	install -m 0644 $(MANPAGES3) $(manprefix)/man/man3
	ln -sf dnet_daemon.3 $(manprefix)/man/man3/dnet_accept.3
	ln -sf dnet_daemon.3 $(manprefix)/man/man3/dnet_reject.3

.SUFFIXES: .po

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== mail/Makefile ===
# Makefile for mail progs

include ../Makefile.common

PROG1=vmsmaild
PROG2=sendvmsmail

UUDIR=uulib
UULIB=$(UUDIR)/libuu.a
LIBUU=$(UULIB)

MANPAGES5=vmsmail.conf.5
MANPAGES8=vmsmaild.8 sendvmsmail.8

PROG1OBJS=vmsmaild.o receive.o configfile.o
PROG2OBJS=sendvmsmail.o configfile.o

CDEFS+=-I$(UUDIR) -DPROTOTYPES
CFLAGS+=-fdollars-in-identifiers

all: $(UULIB) $(PROG1) $(PROG2)

$(UULIB): 
	make -C $(UUDIR)

.c.o:
	$(CC) $(CFLAGS) $(SYSCONF_PREFIX) -c -o $@ $<

$(PROG1): $(PROG1OBJS) $(DEPLIBDNET) $(DEPLIBDAEMON) $(UULIB)
	$(CC) $(CFLAGS) -o $@ $(PROG1OBJS) $(LIBDNET) $(LIBUU) $(LIBDAEMON)

$(PROG2): $(PROG2OBJS) $(DEPLIBDNET) $(UULIB)
	$(CC) $(CFLAGS) -o $@ $(PROG2OBJS) $(LIBDNET) $(LIBUU)

install:
	install -d $(prefix)/bin
	install -d $(manprefix)/man/man5
	install -d $(manprefix)/man/man8
	install -m 0755 -s $(PROG1) $(prefix)/sbin
	install -m 0755 -s $(PROG2) $(prefix)/sbin
	install -m 0644 $(MANPAGES5) $(manprefix)/man/man5
	install -m 0644 $(MANPAGES8) $(manprefix)/man/man8

dep depend:	
	$(CC) $(CFLAGS) -MM *.c >.depend 2>/dev/null

clean:
	rm -f $(PROG1) $(PROG2) *.o *.bak .depend
	make -C $(UUDIR) clean


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== multinet/Makefile ===
include ../Makefile.common

CFLAGS=-Wall -g

all:	multinet

multinet: multinet.c	
	$(CC) $(CFLAGS) $(LDFLAGS) -o multinet multinet.c 


install:
	install -d $(prefix)/sbin
	install -d $(manprefix)/man/man8
	install -m 0755 -s multinet $(prefix)/sbin
	install -m 0644 multinet.8 $(manprefix)/man/man8

dep depend:	
	$(CC) $(CFLAGS) -MM *.c >.depend 2>/dev/null

clean:	
	rm -f *.o *~ multinet

=== debian/changelog ===
dnprogs (2.37.2-0.1) testing-proposed-updates; urgency=low

  * Non-maintainer upload to complete translations in etch.
  * Debconf translations copied from unstable and unfuzzied

 -- Christian Perrier <bubulle@debian.org>  Sat,  3 Mar 2007 18:03:20 +0100

dnprogs (2.37.2) unstable; urgency=low

  * Add Vietnamese debconf translation
    Closes: #313566
  * Fix typo in German debconf translation
    Closes: #314123
  * Make library packages Recommend rather then Depend on dnet-common
    so they can be installed without configuring DECnet. dnet-progs still
    depends on dnet-common to simplfy installations
    Closes: #399665
  * Add LSB sections to init.d scripts.
 
 -- Patrick Caulfield <patrick@debian.org>  Fri, 24 Nov 2006 15:50:18 +0000

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 Package: dnet-progs
 Architecture: any
-Depends: ${shlibs:Depends}, libdnet(>=${Source-Version})
+Depends: dnet-common(>=${Source-Version}), libdnet(>=${Source-Version}), ${shlibs:Depends}
 Priority: extra
 Section: net
 Description: DECnet user programs and daemons
@@ -37,7 +37,8 @@
 
 Package: libdnet
 Architecture: any
-Depends: ${shlibs:Depends}, dnet-common(>=${Source-Version})
+Depends: ${shlibs:Depends}
+Recommends: dnet-common(>=${Source-Version})
 Priority: extra
 Section: libs
 Description: DECnet Libraries

=== debian/rules ===
--- 
+++ 
@@ -26,8 +26,9 @@
 	echo '# MAC address is to be set to the DECnet node address' >> debian/tmp/etc/default/decnet
 	echo "DNET_INTERFACES=\"all\"" >> debian/tmp/etc/default/decnet
 	echo '# DNET_DAEMONS lists the daemons to start when dnet-progs is installed.' >> debian/tmp/etc/default/decnet
-	echo "DNET_DAEMONS=\"dnetd phoned #dnroute\"" >> debian/tmp/etc/default/decnet
 	echo "#" >> debian/tmp/etc/default/decnet
+	echo "DNET_DAEMONS=\"dnetd phoned\"" >> debian/tmp/etc/default/decnet
+	echo "dnroute_FLAGS=\"-v -2\"" >> debian/tmp/etc/default/decnet
 	echo "# The following two lines enable routing, note that if you are" >> debian/tmp/etc/default/decnet
 	echo "# being a router, then add dnroute to the DNET_DAEMONS too" >> debian/tmp/etc/default/decnet
 	echo "#ROUTING=1" >> debian/tmp/etc/default/decnet
@@ -38,7 +39,6 @@
 	cp apps/decnet.conf debian/tmp/usr/share/doc/dnet-common/decnet.conf.sample
 	make install DESTDIR=`pwd`/debian/tmp MAKEDEB=true RELEASE=true
 	mv debian/tmp/usr/man debian/tmp/usr/share
-	rm debian/tmp/usr/sbin/startnet
 	install -m755 apps/setether.sh debian/tmp/sbin/setether
 	dh_installdirs -pdnet-common
 	dh_installchangelogs  -pdnet-common
@@ -76,7 +76,6 @@
 	cp libvaxdata/*pdf debian/tmp/usr/share/doc/libdnet-dev
 	make install DESTDIR=`pwd`/debian/tmp MAKEDEB=true RELEASE=true
 	mv debian/tmp/usr/man debian/tmp/usr/share
-	mv debian/tmp/usr/sbin/startnet debian/tmp/sbin
 	dh_installdirs -Ndnet-common
 	dh_installchangelogs -Ndnet-common
 	dh_installdocs -Ndnet-common

## dnprogs 2.38

=== debian/changelog ===
dnprogs (2.38) unstable; urgency=low

  * Add -E switch to dncopy to allow it to continue on output error.
  * Better reporting of filename syntax errors reported by remote end.
    e.g. tilde characters in local files being rejected by VMS.
  * Add French debconf translation
    Closes: #400712, #402126
  * Update German debconf translation
    Closes: #401907
  * Fix some debconf template typos
    Closes: #401906
  * Updated Japanese debconf translation
    Closes: #402004   
  
 -- Patrick Caulfield <patrick@debian.org>  Sat, 16 Dec 2006 15:24:44 +0000

## dnprogs 2.39

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,6 @@
 	multinet scripts
 
 all: 	
-	@. scripts/check_kernel.sh; if [ $$? = 1 ]; then exit 1; fi
 	@set -e; for i in $(SUBDIRS); do make -C $$i $@ ; done
 
 install:
@@ -70,10 +69,23 @@
 	echo "`rpm --showrc|grep \^macrofiles`:`pwd`/.rpmmacros" >.rpmrc
 	make prefix=/usr RELEASE=true -j
 	make DESTDIR=`pwd`/rpmbuild RELEASE=true install
+	find `pwd`/rpmbuild/usr/share/man/ -type f|xargs gzip -9
 	ln -sf libdnet.so.2 rpmbuild/usr/lib/libdnet.so.1
 	make dist
 	install -d rpmbuild/etc/rc.d/init.d
 	install -d rpmbuild/usr/doc
+	rm rpmbuild/usr/share/man/man1/dntype.1
+	rm rpmbuild/usr/share/man/man1/dnprint.1
+	rm rpmbuild/usr/share/man/man3/dnet_accept.3
+	rm rpmbuild/usr/share/man/man3/dnet_reject.3
+	rm rpmbuild/usr/share/man/man3/dnet_endnode.3
+	rm rpmbuild/usr/share/man/man3/dnet_nextnode.3
+	ln -s dncopy.1.gz rpmbuild/usr/share/man/man1/dntype.1.gz
+	ln -s dnsubmit.1.gz rpmbuild/usr/share/man/man1/dnprint.1.gz
+	ln -s dnet_daemon.3.gz rpmbuild/usr/share/man/man3/dnet_accept.3.gz
+	ln -s dnet_daemon.3.gz rpmbuild/usr/share/man/man3/dnet_reject.3.gz
+	ln -s dnet_getnode.3.gz rpmbuild/usr/share/man/man3/dnet_endnode.3.gz
+	ln -s dnet_getnode.3.gz rpmbuild/usr/share/man/man3/dnet_nextnode.3.gz
 	sed -e's@/usr/local@/usr@g' < scripts/decnet.sh >rpmbuild/etc/rc.d/init.d/decnet
 	sed -e's/%%PACKAGENAME%%/$(PKGNAME)/g'                          \
 	    -e's/%%VERSION%%/$(VERSION)/g'                              \

=== debian/changelog ===
dnprogs (2.39) unstable; urgency=low

  * Fix compile error with latest kernel headers.
    Closes: #427324

 -- Patrick Caulfield <patrick@debian.org>  Mon,  4 Jun 2007 09:58:58 +0100

dnprogs (2.38.2) unstable; urgency=low

  * Add Portugese debconf translation
    Closes: #409854, ##409894
  * Update Czech debconf translation
    Closes: #402729
    
 -- Patrick Caulfield <patrick@debian.org>  Sun, 11 Feb 2007 13:11:06 +0000

dnprogs (2.38.1) unstable; urgency=low

  * Updated Dutch debconf translation
    Closes: #404561

 -- Patrick Caulfield <patrick@debian.org>  Thu, 28 Dec 2006 13:26:07 +0000

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,6 @@
 	cp debian/dnet-common.README debian/tmp/usr/share/doc/dnet-common/README.Debian
 	cp apps/decnet.conf debian/tmp/usr/share/doc/dnet-common/decnet.conf.sample
 	make install DESTDIR=`pwd`/debian/tmp MAKEDEB=true RELEASE=true
-	mv debian/tmp/usr/man debian/tmp/usr/share
 	install -m755 apps/setether.sh debian/tmp/sbin/setether
 	dh_installdirs -pdnet-common
 	dh_installchangelogs  -pdnet-common
@@ -75,7 +74,6 @@
 	cp Documentation/*README debian/tmp/usr/share/doc/libdnet-dev
 	cp libvaxdata/*pdf debian/tmp/usr/share/doc/libdnet-dev
 	make install DESTDIR=`pwd`/debian/tmp MAKEDEB=true RELEASE=true
-	mv debian/tmp/usr/man debian/tmp/usr/share
 	dh_installdirs -Ndnet-common
 	dh_installchangelogs -Ndnet-common
 	dh_installdocs -Ndnet-common
